OpenTTD Source: RoadStopScopeResolver Struct Reference

OpenTTD Source 14.0-RC3

Public Member Functions | Data Fields
RoadStopScopeResolver Struct Reference

Scope resolver for road stops. More...

`#include <newgrf_roadstop.h>`

Inheritance diagram for RoadStopScopeResolver:

## Public Member Functions
| RoadStopScopeResolver (ResolverObject &ro, BaseStation *st, const RoadStopSpec *roadstopspec, TileIndex tile, RoadType roadtype, StationType type, uint8_t view=0)
uint32_t | GetRandomBits () const override
| Get a few random bits. More...
uint32_t | GetTriggers () const override
| Get the triggers. More...
uint32_t | GetVariable (byte variable, [[maybe_unused]] uint32_t parameter, bool *available) const override
| Get a variable value. More...
Public Member Functions inherited from ScopeResolver
| ScopeResolver (ResolverObject &ro)
virtual void | StorePSA (uint reg, int32_t value)
| Store a value into the persistent storage area (PSA). More...

## Data Fields
TileIndex | tile
| Tile of the station.
struct BaseStation * | st
| Instance of the station.
const struct RoadStopSpec * | roadstopspec
| Station (type) specification.
CargoID | cargo_type
| Type of cargo of the station.
StationType | type
| Station type.
uint8_t | view
| Station axis.
RoadType | roadtype
| Road type (used when no tile)
Data Fields inherited from ScopeResolver
ResolverObject & | ro
| Surrounding resolver object.

## Detailed Description

Scope resolver for road stops.

Definition at line 75 of file newgrf_roadstop.h.

## Member Function Documentation

## ◆ GetRandomBits()

uint32_t RoadStopScopeResolver::GetRandomBits | ( |  | ) | const
| overridevirtual

Get a few random bits.

Default implementation has no random bits.

Returns
  Random bits.

Reimplemented from ScopeResolver.

Definition at line 50 of file newgrf_roadstop.cpp.

References SpecializedStation< Station, false >::From(), INVALID_TILE, SpecializedStation< Station, false >::IsExpected(), BaseStation::random_bits, st, and tile.

## ◆ GetTriggers()

uint32_t RoadStopScopeResolver::GetTriggers | ( |  | ) | const
| overridevirtual

Get the triggers.

Base class returns `0` to prevent trouble.

Returns
  The triggers.

Reimplemented from ScopeResolver.

Definition at line 61 of file newgrf_roadstop.cpp.

References st, and BaseStation::waiting_triggers.

## ◆ GetVariable()

uint32_t RoadStopScopeResolver::GetVariable | ( | byte | variable,
|  | [[maybe_unused] ] uint32_t | parameter,
|  | bool * | available
| ) |  | const
| overridevirtual

Get a variable value.

Default implementation has no available variables.

Parameters

  | variable | Variable to read
  | parameter | Parameter for 60+x variables
  [out] | available | Set to false, in case the variable does not exist.

Returns
  Value

Reimplemented from ScopeResolver.

Definition at line 66 of file newgrf_roadstop.cpp.

References INVALID_TILE, and tile.

The documentation for this struct was generated from the following files:

- src/newgrf_roadstop.h
- src/newgrf_roadstop.cpp